Remitter Details

This API is used to fetch the customer details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

ParametersTypeDescription
mobileMandatoryRemitter Mobile Number

Sample Request

curl --location --request GET 'https://api.instantpay.in/fi/remit/out/nepal/remitterProfile' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=' \
--header 'X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825' \
--header 'X-Ipay-Endpoint-Ip: 14.142.186.14' \
--header 'X-Ipay-Request-Hash: 123456789|123456789|123456789|123456789|123456789|123456789|1234' \
--header 'X-Ipay-Request-Timestamp: 1665638508000' \
--header 'X-Ipay-Hash-Check: OFF' \
--header 'User-Agent: InstantPayAPITest/1.0.0' \
--header 'X-Ipay-Outlet-Id: 72762' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mobile":"7428585742"
}'
GET /fi/remit/out/nepal/remitterProfile HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825
X-Ipay-Endpoint-Ip: 14.142.186.14
X-Ipay-Request-Hash: 123456789|123456789|123456789|123456789|123456789|123456789|1234
X-Ipay-Request-Timestamp: 1665638548000
X-Ipay-Hash-Check: OFF
User-Agent: InstantPayAPITest/1.0.0
X-Ipay-Outlet-Id: 72762
Content-Type: application/json
Content-Length: 29

{
    "mobile":"7428585742"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus messag
dataArrayResponse Data (If Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
enviromentStringLive/Sandbox

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "id": "675738",
        "mobile": "7428585742",
        "firstName": "Sample Name",
        "gender": "Male",
        "dob": "1993-11-12",
        "address": "Sample Address",
        "city": "City Name",
        "state": "State Name",
        "district": "District Name",
        "nationality": "Nationality",
        "employer": "Business Name",
        "incomeSource": "Salary",
        "status": "Verified",
        "eKycStatus": "Unverified",
        "onboardingStatus": "Pending",
        "approveStatus": "",
        "approveComment": "",
        "ids": [
            {
                "idType": "Aadhaar Card",
                "idNumber": "XXXXXXXX6077"
            }
        ],
        "transactionCount": {
            "day": "0",
            "month": "0",
            "year": "0"
        },
        "beneficiaries": []
    },
    "timestamp": "2023-01-03 09:55:19",
    "ipay_uuid": "h06898220ba9-1d53-4af1-a766-1d9e7780dc54",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null
}
📘

Info :

For API Headers Click Here

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain